package net.nigreon.blegps

class ServicesConstants {
    interface MOCKSERVICEACTION {
        companion object {
            val MAIN_ACTION = "net.nigreon.blegps.mockservice.action.main"
            val STARTFOREGROUND_ACTION = "net.nigreon.blegps.mockservice.action.startforeground"
            val STOPFOREGROUND_ACTION = "net.nigreon.blegps.mockservice.action.stopforeground"
            val TASKER_ACTION = "net.nigreon.blegps.mockservice.action.tasker"
        }
    }
    interface HRSERVICEACTION {
        companion object {
            //val MAIN_ACTION = "net.nigreon.blegps.mockservice.action.main"
            val STARTFOREGROUND_ACTION = "net.nigreon.blegps.hrservice.action.startforeground"
            val STOPFOREGROUND_ACTION = "net.nigreon.blegps.hrservice.action.stopforeground"
        }
    }
    interface NOTIFICATION_ID {
        companion object {
            val FOREGROUND_MOCK_SERVICE = 101
            val FOREGROUND_HR_SERVICE = 102
        }
    }
    interface BROADCAST_FILTER {
        companion object {
            const val FILTER01 = "just.a.filter"
            const val FILTERBT = "filter.bt"
            const val FILTERBMP = "filter.bmp"
            const val FILTERBTHR = "filter.bthr"
            const val FILTERBTHRM = "filter.bthrm"
            const val FILTERTEMP = "filter.temp"
            const val FILTERPRESSURE = "filter.pressure"
            const val FILTERLOCATION = "filter.location"
            const val FILTERQUALITY = "filter.quality"
            const val FILTERSAT = "filter.sat"
            const val FILTERTASKER= "filter.tasker"
        }
    }
    interface BROADCAST_KEY {
        companion object {
            const val KEY01 = "key01"
            const val KEYBTSTATUS = "btstatus"
            const val KEYBTSTATUSHR = "btstatushr"
            const val KEYBTHRM = "bthrm"
            const val KEYBMPSTATUS = "bmpstatus"
            const val KEYTEMP = "temperature"
            const val KEYPRESSURE = "pressure"
            const val KEYBOOST = "boost"
            const val KEYLOCATIONLAT = "latitude"
            const val KEYLOCATIONLON = "longitude"
            const val KEYLOCATIONELE = "elevation"
            const val KEYLOCATIONSPEED = "speed"
            const val KEYLOCATIONHEADING = "heading"
            const val KEYLOCATIONEHPE = "lehpe"
            const val KEYQUALITYSATVIEW = "satview"
            const val KEYQUALITYSATUSED = "satused"
            const val KEYQUALITYEHPE = "ehpe"
            const val KEYQUALITYEVPE = "evpe"
            const val KEYQUALITYHDOP = "hdop"
            const val KEYQUALITYVDOP = "vdop"
            const val KEYQUALITYELEGPS = "elevation_gps"
            const val KEYSATGPSALL = "gpsall"
            const val KEYSATGPSUSED = "gpsused"
            const val KEYSATSBASALL = "sbasall"
            const val KEYSATSBASUSED = "sbasused"
            const val KEYSATGLONASSALL = "glonassall"
            const val KEYSATGLONASSUSED = "glonassused"
            const val KEYSATGALILEOALL = "galileoall"
            const val KEYSATGALILEOUSED = "galileoused"
        }
    }
}